---
# 基本建設規則
# 若糟攻擊則不建設
- is_attacked:
   0:
# 計算當下戰爭次數
# 本城之戰爭數
# 維護費 / gold 比例

# blocking (打到死政策)
# 計算軍方比例
# 對方軍分 0, 海軍一日三次, 每次八小時, 陸軍每日三次, 八小時一次
# 對方平等軍分, 半夜偷襲
# 對方高軍分, 累積分數後反攻

# hunting
# 分數低於我 0.1
# 軍分低於我 0.3
# 搶奪數量
# 出戰比例運算
#   間諜
#   軍分成績

   1: run_defense
    # 遭受攻擊 採取防禦措施
    # 若軍分 0, 進行焦土政策 針對特定城市 錢全部買船 拆港
    # increaseTransporter
    # destroy TradingPort
    #
    # 計算出兵數量、到達時間與調動時間
    # 調動軍隊防護 (加入封鎖列表)

    # (保留兵力) 出兵對方城鎮, 拆港, keep gold
    # (保留兵力) 出兵任一城鎮, 拆港, keep gold
